@import "../../_mixins.scss";

.product-catalog-container {
  position: relative;
  > h2 {
    font-size: var(--font-xl);
  }
  .pc-listing-loader {
    position: absolute;
    z-index: 10;
    top: 30%;
  }
  .pc__table-top {
    background: white;
    padding: 8px 15px;
    display: flex;
    flex-direction: column;
    .pc__table-filters,
    .pc__table-actions {
      display: flex;
      flex-direction: row;
      align-items: center;
    }
    .pc__table-filters {
      padding-top: 15px;
      overflow: auto;
      display: inline-block;
    }
    .pc__filter {
      background: var(--primary);
      padding: 3px 3px 3px 10px;
      margin: 2px;
      border-radius: 15px;
      display: inline-block;
      flex-direction: row;
      label {
        color: white;
      }
      span {
        min-width: 8px;
        padding: 5px 15px 5px 5px;
        position: relative;
        cursor: pointer;
        &::before,
        &::after {
          display: block;
          content: " ";
          width: 10px;
          height: 2px;
          background: white;
          position: absolute;
          top: 12px;
          right: 4px;
        }
        &::after {
          transform: rotate(45deg);
        }
        &::before {
          transform: rotate(-45deg);
        }
      }
    }
    .pc__table-header-search {
      display: flex;
      flex-grow: 1;
      .field-section {
        width: 100%;
      }
      .checkbox-holder.pc-actions-checkbox {
        width: 180px;
      }
    }
    .pc__search {
      width: 400px;
      max-width: 400px;
    }
    .pc__table-header-btn-group {
      display: flex;
      gap: 10px;
      .add-product-btn {
        min-width: 125px;
      }
      .copy-icon {
        width: 20px;
        filter: invert(1);
      }
    }
    .field-section {
      padding: 0;
      display: flex;
      .field__input input:not([type="radio"]) {
        height: var(--input-height);
      }
      div.row {
        margin: 0;
        width: 95%;
      }
      .field__label {
        display: none;
      }
    }
    .checkbox-holder label.checkbox__content {
      margin-left: 5px;
      margin-top: -2px;
    }
    .custom-filters-listing.pc-filters {
      padding: 15px 5px 5px;
      .pc-filters-heading {
        font-weight: 550;
        margin-bottom: 3px;
      }
      .pc-applied-filters-row {
        margin-bottom: 2px;
        .pc-filter-content {
          padding-top: 2px;
          position: relative;
          padding-right: 10px;

          .pc-filter-clear-icon {
            font-size: 20px;
            display: inline-block;
            position: absolute;
            right: -5px;
            font-weight: 500;
            top: -4px;
            cursor: pointer;
          }
        }
      }
    }
  }
  .product-catalog-table {
    .name-desc-col {
      @include text_one_line;
    }
    .pc-action-btns {
      display: flex;
      width: 100%;
      justify-content: space-evenly;
    }
  }
}

.product-import-validation-container {
  position: relative;
  .no-validation-info {
    height: 100px;
    font-weight: 500;
    font-size: var(--font-l);
    background: var(--tile-bg);
    padding: auto 0;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .pci-spinner {
    position: absolute;
    z-index: 1;
    top: 45%;
  }
  .product-import-header {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
    justify-content: space-between;
    > h2 {
      margin: 0;
      font-weight: bold;
      font-size: var(--font-xxl);
    }
    .right-section {
      display: flex;
      gap: 10px;
    }
  }
  section.import-errors-section {
    background: var(--tile-bg);
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
    > h3 {
      color: #333;
      font-weight: 550;
      border-bottom: 1px solid lightgray;
      padding: 10px 8px;
      margin: 0;
      font-size: var(--font-xl);
    }
    .error-type-section {
      margin-bottom: 15px;
      h4 {
        font-size: var(--font-l);
        color: #333;
        font-weight: 550;
        margin: 12px;
      }
      .pvi-row-error-table.list-component-wrapper {
        .cell {
          @include text_one_line;
        }
        .list-header,
        .row-panel {
          display: grid;
          grid-template-rows: auto;
          grid-template-columns: 60px 0.5fr 0.75fr 1fr 125px 100px 115px 55px 85px 105px 80px 60px;
          padding-right: 0;
        }
      }
      .pvi-product-error-table.list-component-wrapper {
        .list-header,
        .row-panel {
          display: grid;
          grid-template-rows: auto;
          grid-template-columns: minmax(100px, 0.5fr) 1fr;
        }
      }
    }
    .file-errors-section .product-errors-list {
      padding-left: 35px;
    }
    .product-errors-section {
      margin-bottom: 0;
    }
  }
  section.valid-products-creation {
    background-color: var(--tile-bg);
    > h3 {
      color: #333;
      font-weight: 550;
      padding: 10px 8px;
      margin: 0;
      font-size: var(--font-xl);
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    .pvi-edit-table {
      .cell {
        @include text_one_line;
      }
      .list-header,
      .row-panel {
        display: grid;
        grid-template-rows: auto;
        grid-template-columns: 150px 0.5fr 1fr 140px 100px 75px 65px;
        padding-right: 0;
      }
    }
  }
  .cell-center-align {
    display: flex;
    justify-content: center;
  }
  .cell-capitalize {
    text-transform: capitalize;
  }
}

ul.product-errors-list {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding-left: 15px;
  gap: 5px;
  font-size: var(--font-s);
  font-weight: 450;
}

.btn.square-btn.pc-icon-btn {
  font-size: var(--font-xs);
  padding: 4px 8px;
  height: 27px;
  min-width: 100px;
  .img-text-in-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    > span {
      margin: 3px 0 0;
    }
  }
  img {
    padding-right: 4px;
  }
  img.icon__loading {
    height: 18px;
    width: 28px;
  }
  &:hover,
  &:active,
  &:focus {
    img {
      filter: invert(75%);
    }
  }
}

.product-edit-modal {
  .modal-dialog {
    width: 80%;
    max-width: 1400px;
    .modal-content {
      width: 100%;
      .modal-body {
        display: flex;
        flex-direction: column;
        .create-product-loader {
          position: absolute;
          z-index: 1;
          top: 45%;
        }
        .pc-validation-error {
          text-align: center;
          font-weight: 550;
          color: red;
          font-size: var(--font-m);
          margin-bottom: 10px;
        }
        .edit-top-section {
          width: 100%;
          display: flex;
          gap: 20px;
          .product-unique-details {
            flex-grow: 1;
            .field-section {
              padding: 0;
              &:nth-child(2) {
                padding-left: 20px;
              }
            }
          }
          .product-bundle-options {
            display: flex;
            justify-content: space-evenly;
            width: 480px;
            gap: 15px;
            .field-section {
              padding: 0;
            }
            .product-type-radio {
              width: 180px;
              .radio-btn-group {
                border: 1px solid lightgray;
                padding: 10px 15px;
                gap: 15px;
              }
            }
            .bundle-checkboxes {
              width: 130px;
              .checkbox-group {
                display: flex;
                flex-direction: column;
                gap: 10px;
                padding: 5px 15px 10px;
                border: 1px solid lightgray;
                .checkbox-holder label.checkbox__content {
                  margin-left: 10px;
                }
              }
            }
            .bundle-checkboxes.bundle-error-border .checkbox-group {
              border: 1px solid red;
            }
          }
        }
        .product-control-section {
          padding: 0;
          margin-left: auto;
          width: 475px;
          .field-section {
            padding: 20px 0 0;
            display: flex;
            gap: 10px;
            .field__label.row {
              width: 110px;
              label.field__label-label {
                text-align: right;
                flex-grow: 1;
              }
            }
            .field__input.row {
              flex-grow: 1;
            }
            span.field__error {
              display: none;
            }
          }
        }
        .catalog-pricing-section {
          margin-top: 15px;
          > h4 {
            font-size: var(--font-xxl);
            font-weight: 550;
            border-bottom: 1px solid lightgray;
            padding-bottom: 10px;
            margin: 10px 0 0;
            color: #333;
          }
          .pricing-rows-container {
            display: flex;
            flex-direction: column;
            gap: 10px;
            > h5 {
              margin: 20px 0 5px;
              font-weight: 550;
              font-size: var(--font-m);
            }
            .catalog-pricing-row {
              margin: 0 8px;
              display: grid;
              grid-template-rows: auto;
              grid-template-columns: 99px 1fr 1fr 1fr 1fr 1fr;
              align-items: center;
              grid-gap: 10px;
              border: 1px solid lightgray;
              border-radius: 10px;
              padding: 10px 10px 5px;
              .catalog-pricing-rate {
                padding: 0;
              }
              .catalog-pricing-rate.disabled {
                margin-bottom: 17px;
              }
              .billing-col {
                text-align: center;
                color: var(--grey-font-m);
                display: flex;
                flex-direction: column;
              }
            }
          }
        }
      }
    }
  }
}

.product-edit-modal.product-preview .modal-body {
  opacity: 0.8;
  pointer-events: none;
}

.pc-filter {
  padding: 0 0 10px 0;
  min-height: unset !important;
  gap: 30px;
  flex-wrap: nowrap !important;
  .field-section {
    padding: 0;
  }
  .field__label {
    margin-bottom: 5px;
  }
}
